Subject: Prune clobbers already pruned sent-mail

From: Jared Griffith <[email-masked]>
Date: Fri, 4 Feb 2005 18:53:17 -0800 (PST)

Hey all,

I mainly use PC pine (4.62), but there are occasions where I need to use 
my HPUX version (4.61, stock, w/ exception of password file).  Recently, I 
went to look up a message I had sent in January, only to find that the 
entire month of January was gone.  There were only a few messages from 
February.  Those few messages had been pruned from sent-mail folder. 
Today was the first day of this month that I had used my unix pine.  Both 
had been set up to prune (something that I have now remedied!)  I then 
went back through my past months and found out that this started happening 
in August, soon after I switched my unix pine version from 4.58 to 4.61.

My only guess is that PC Pine does a prune and then some time later in the 
month, I fire up unix pine and it does a prune.  Instead of checking to 
see that the folder already exists, it just clobbers it and prunes what 
messages I have for that month up to that point.

Like I had alluded to earlier, I have now set up unix pine so that it 
never prunes.  This should fix my problem going forward.  My suggestion is 
to fix pine so that it does not prune a folder if the destination folder 
already exists.  Apparently, this was never a problem using 4.58 and 
earlier.

jared
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------